package com.warewms.controller;

import com.warewms.common.utils.R;
import com.warewms.entity.erp.ErpBarCodeList;
import com.warewms.service.impl.ErpSyncServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Controller
@RequestMapping("/sys/erpWriteData")
@Slf4j
public class ErpWriteBackController {

    @Autowired
    private ErpSyncServiceImpl erpSyncService;

    /**
     * 中间表写入数据
     */
    @ResponseBody
    @PostMapping("writeData")
    public R writeData(@RequestParam List<ErpBarCodeList> erpBarCodeListList){
        erpSyncService.writeBack(erpBarCodeListList);
        return R.ok();
    }
}